{% extends 'gps/base.html' %}
{% load static %}

{% block title %}Carte autour de {{ place }}{% endblock %}
{% block h1 %}Carte autour de {{ place }}{% endblock %}

{% block add-head %}
    <link rel="stylesheet" href="https://unpkg.com/leaflet@1.3.1/dist/leaflet.css"
          integrity="sha512-Rksm5RenBEKSKFjgI3a41vrjkw4EVPlJ3+OiI65vTjIdo9brlAacEuKOiQ5OFh7cOI1bkDwLqdLw3Zg0cRJAAQ=="
          crossorigin=""/>
{% endblock %}

{% block content %}
    <div id="map"></div>
{% endblock %}

{% block js %}
    <script src="https://unpkg.com/leaflet@1.3.1/dist/leaflet.js"
            integrity="sha512-/Nsx9X4HebavoBvEBuyp3I7od5tA0UzAxs+j83KgC8PU0kgB4XiK4Lfe4y4cgBtaRJQEIFCW+oC506aPT2L1zw=="
            crossorigin=""></script>

    <script type="application/javascript">
        let map = L.map('map').setView([{{ place.latitude_str }}, {{ place.longitude_str }}], 17);
        L.tileLayer('https://{s}.tile.openstreetmap.org/{z}/{x}/{y}.png', {
            attribution: '&copy; <a href="https://www.openstreetmap.org/copyright">OpenStreetMap</a> contributors'
        }).addTo(map);
        let marker = L.marker([{{ place.latitude_str }}, {{ place.longitude_str }}]).addTo(map);
        marker.bindPopup("<strong>{{ place.name }}</strong><br>{{ place.latitude_str }}, {{ place.longitude_str }}").openPopup();
    </script>
{% endblock %}
